Hot: Cách vẽ polyline trong AutoCAD có chiều dày nhanh nhất

Trong AutoCAD, lệnh Polyline, lệnh tắt là PL, là một trong những lệnh thường sử dụng nhất, với thể nói là chỉ đứng sau lệnh Line. Để đơn thuần với thể hiểu Polyline là bao gồm nhiều Line (hoặc với thể là cung tròn) được liên kết lại và với thêm thông tin chiều dày nét vẽ. Bởi vậy, nếu biết cách vẽ Polyline với chiều dày nhanh, sẽ tiết kiệm rất nhiều thời kì công sức. Tuy nhiên, trong AutoCAD để gán chiều dày cho lệnh này thì phải thao tác khá rườm rà. Trước hết, bạn gõ lệnh PL, sau đó chuột trái tìm một điểm khởi đầu, sau đó gõ chữ W để mở lựa tìm chiều dày, cuối cùng gõ 2 lần thông tin chiều dày (giả sử là 100mm) thì mới vẽ được Polyline với chiều dày nét là 100mm. Cuối cùng sau lúc vẽ xong chúng ta bấm C để khép kín vùng nếu là vẽ vùng kín hoặc Enter để kết thúc lệnh.

Lenh Polyline

Vẽ Polyline vùng kín với chiều dày nét là 100mm.

Lưu ý nếu vẽ vùng kính hãy tìm C ở đoạn cuối cùng để khép kín thay vì phải bắt điểm nhé, sẽ nhanh hơn đấy (Nói thật khá nhiều bạn ko biết đóng kín bằng cách gõ C đâu nha).

Giải quyết vấn đề:

Để vẽ nhanh Polyline (dạng tập hợp những đường thẳng) với chiều dày nét vẽ, chúng ta sẽ tạo một lisp đơn thuần sau đó load vào CAD, bản tính của lisp này chính là lệnh Polyline đã được cài đặt chiều dày nét vẽ.

+ Lệnh tắt P0: Vẽ Polyline ko với chiều dày:

(defun c:P0 () (command “PLINE” “” “w” “0” “0” “” “PLINE”) )

+ Lệnh tắt P50: Vẽ Polyline với chiều dày nét vẽ là 50mm:

(defun c:P50 () (command “PLINE” “” “w” “50” “50” “” “PLINE”) )

+ Lệnh tắt P100: Vẽ Polyline với chiều dày nét vẽ là 100mm:

(defun c:P100 () (command “PLINE” “” “w” “100” “100” “” “PLINE”) )

+ Lệnh tắt PLL: Vẽ Polyline với chiều dày bất kỳ (chỉ cần gõ lệnh PLL sau đó tìm chiều dày luôn mà ko cần phải tìm W nữa):

(defun c:PLL () (setq a (getint “nChon do day internet: “)) (command “PLINE” “” “w” a a “” “PLINE”) )

Obtain lisp trên tại đây

Bạn với thể tham khảo bộ lisp cad hay dành cho kỹ sư trong đó với lisp vẽ nhanh Pline với chiều dày nét nằm trong bộ Thực đơn lisp Cad XDTH mà tôi san sẻ miễn phí trong video bên dưới. Nếu là lần trước nhất bạn xem video trên kênh hãy đăng ký kênh Youtube Xây Dựng Thực Hành để theo dõi những video tiếp theo vì tôi còn trở lại với rất nhiều video hữu ích khác:

Lenh Polyline2

Sử dụng lisp P50 và PLL để vẽ nhanh Polyline với chiều dày nét vẽ

Trên kênh Youtube mình cũng san sẻ rất nhiều tri thức hữu ích AutoCAD, Excel… sắp tới là QS, Shopdrawing, giải pháp thi công… mà trên web site ko với. Mời bạn ghé thăm kênh tại hyperlink này Youtube .

Chúc bạn thành công!

Victor Vuong,

Trả lời